Security Enhanced Linux Reference Policy

# Layer: services

## Module: automount

Interfaces

### Description:

Filesystem automounter service.

### Interfaces:

automount_admin( domain , role )

##### Summary

All of the rules required to administrate an automount environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the automount domain.

automount_domtrans( domain )

##### Summary

Execute automount in the automount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

automount_dontaudit_getattr_tmp_dirs( domain )

##### Summary

Do not audit attempts to get the attributes of automount temporary directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

automount_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to file descriptors for automount.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

automount_dontaudit_write_pipes( domain )

##### Summary

Do not audit attempts to write automount daemon unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

automount_exec_config( domain )

##### Summary

Execute automount in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

automount_read_state( domain )

##### Summary

Allow the domain to read state files in /proc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to allow access.

automount_signal( domain )

##### Summary

Send automount a signal

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return